Bug 121723 - too many arguments in function call + array subscript out of range
too many arguments in function call + array subscript out of range
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 15:19 EDT by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-18 15:49:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-04-26 15:19:38 EDT
Description of problem:

I just tried to compile Core2 Test2 package krb5-1.3.2-1

The compiler said

1.

cmds.c(1361): warning #140: too many arguments in function call

The source code is

                cstatus(argc,argv);

but

static void cstatus()
{

2.

kerberos.c(622): warning #175: subscript out of range

The source code is

                name[255] = '\0';




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marcin Garski 2004-12-18 15:49:57 EST
Thank you for the bug report. However this bugs should be reported
upstream (and fixed by MIT krb5 developers) so everyone could use
fixed version (not just Fedora Core users).

I've sent this bug report to MIT krb5 maintainers.

Note You need to log in before you can comment on or make changes to this bug.